package id.ac.unpas.ta.david.pojo;
// Generated Jul 15, 2019 5:45:00 PM by Hibernate Tools 5.2.8.Final

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * MasterPeriodeSemester generated by hbm2java
 */
@Entity
@Table(name = "master_periode_semester", catalog = "ta")
public class MasterPeriodeSemester implements java.io.Serializable {

	private int idPeriodeSemester;
	private MasterSemester masterSemester;
	private MasterTahunAkademik masterTahunAkademik;
	private String nama;
	private int aktif;
	private Set<MasterMahasiswa> masterMahasiswas = new HashSet<MasterMahasiswa>(0);

	public MasterPeriodeSemester() {
	}

	public MasterPeriodeSemester(int idPeriodeSemester, MasterSemester masterSemester,
			MasterTahunAkademik masterTahunAkademik, String nama, int aktif) {
		this.idPeriodeSemester = idPeriodeSemester;
		this.masterSemester = masterSemester;
		this.masterTahunAkademik = masterTahunAkademik;
		this.nama = nama;
		this.aktif = aktif;
	}

	public MasterPeriodeSemester(int idPeriodeSemester, MasterSemester masterSemester,
			MasterTahunAkademik masterTahunAkademik, String nama, int aktif, Set<MasterMahasiswa> masterMahasiswas) {
		this.idPeriodeSemester = idPeriodeSemester;
		this.masterSemester = masterSemester;
		this.masterTahunAkademik = masterTahunAkademik;
		this.nama = nama;
		this.aktif = aktif;
		this.masterMahasiswas = masterMahasiswas;
	}

	@Id

	@Column(name = "idPeriodeSemester", unique = true, nullable = false)
	public int getIdPeriodeSemester() {
		return this.idPeriodeSemester;
	}

	public void setIdPeriodeSemester(int idPeriodeSemester) {
		this.idPeriodeSemester = idPeriodeSemester;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "idSemester", nullable = false)
	public MasterSemester getMasterSemester() {
		return this.masterSemester;
	}

	public void setMasterSemester(MasterSemester masterSemester) {
		this.masterSemester = masterSemester;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "idTahunAkademik", nullable = false)
	public MasterTahunAkademik getMasterTahunAkademik() {
		return this.masterTahunAkademik;
	}

	public void setMasterTahunAkademik(MasterTahunAkademik masterTahunAkademik) {
		this.masterTahunAkademik = masterTahunAkademik;
	}

	@Column(name = "nama", nullable = false, length = 30)
	public String getNama() {
		return this.nama;
	}

	public void setNama(String nama) {
		this.nama = nama;
	}

	@Column(name = "aktif", nullable = false)
	public int getAktif() {
		return this.aktif;
	}

	public void setAktif(int aktif) {
		this.aktif = aktif;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "masterPeriodeSemester")
	public Set<MasterMahasiswa> getMasterMahasiswas() {
		return this.masterMahasiswas;
	}

	public void setMasterMahasiswas(Set<MasterMahasiswa> masterMahasiswas) {
		this.masterMahasiswas = masterMahasiswas;
	}

}
